Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Interface IYahooFriend

All Superinterfaces:
  IFriend, IItem, java.io.Serializable

public interface IYahooFriend
extends IFriend

Provides the interface to the `YahooFriend` item

Field Summary
`static ItemClass` | `CLASS` The ItemClass that represents a collab message.
`static Key` | `CUSTOM_MESSAGE` Key that represents the instant messaging friend 'custom message' property.
`static Key` | `IS_CUSTOM_BUSY` Key that represents the instant messaging friend 'is custom message busy' property.
`static Key` | `IS_IGNORED` Key that represents the instant messaging friend 'is ignored' property.
`static Key` | `IS_LOGGED_IN` Key that represents the instant messaging friend 'is logged in' property.
`static Key` | `IS_ON_CHAT` Key that represents the instant messaging friend 'is on chat' property.
`static Key` | `IS_ON_PAGER` Key that represents the instant messaging friend 'is on pager' property.

Fields inherited from interface com.compoze.collab.im.IFriend
`STATUS, URI, USERNAME`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getCustomMessage()` Gets the custom status message for the user.
`boolean` | `isCustomBusy()` Determines if the custom status message means that the user is busy.
`boolean` | `isIgnored()` Determines if the user is ignored.
`boolean` | `isLoggedIn()` Determines if the user is logged in.
`boolean` | `isOnChat()` Determines if the user is on chat.
`boolean` | `isOnPager()` Determines if the user is on Yahoo pager.

Methods inherited from interface com.compoze.collab.im.IFriend
`getStatus, getUri, getUsername, isTyping, sendTypingStatus, setUri, setUsername`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### IS_ON_CHAT

    public static final Key IS_ON_CHAT

  Key that represents the instant messaging friend 'is on chat' property.

### IS_ON_PAGER

    public static final Key IS_ON_PAGER

  Key that represents the instant messaging friend 'is on pager' property.

### IS_LOGGED_IN

    public static final Key IS_LOGGED_IN

  Key that represents the instant messaging friend 'is logged in' property.

### IS_IGNORED

    public static final Key IS_IGNORED

  Key that represents the instant messaging friend 'is ignored' property.

### CUSTOM_MESSAGE

    public static final Key CUSTOM_MESSAGE

  Key that represents the instant messaging friend 'custom message' property.

### IS_CUSTOM_BUSY

    public static final Key IS_CUSTOM_BUSY

  Key that represents the instant messaging friend 'is custom message busy' property.

### CLASS

    public static final ItemClass CLASS

  The ItemClass that represents a collab message.

Method Detail

### isOnChat

    public boolean isOnChat()
                     throws CollaborationException

  Determines if the user is on chat.
  Returns:
    `true` if the user is on chat
  See Also:
    `IS_ON_CHAT`

### isOnPager

    public boolean isOnPager()
                      throws CollaborationException

  Determines if the user is on Yahoo pager.
  Returns:
    `true` if the user is on Yahoo pager
  See Also:
    `IS_ON_PAGER`

### isLoggedIn

    public boolean isLoggedIn()
                       throws CollaborationException

  Determines if the user is logged in.
  Returns:
    `true` if the user is logged in
  See Also:
    `IS_LOGGED_IN`

### isIgnored

    public boolean isIgnored()
                      throws CollaborationException

  Determines if the user is ignored.
  Returns:
    `true` if the user is ignored
  See Also:
    `IS_IGNORED`

### getCustomMessage

    public java.lang.String getCustomMessage()
                                      throws CollaborationException

  Gets the custom status message for the user.
  Returns:
    the user's custom status message (or `null` if they do not have one)
  See Also:
    `CUSTOM_MESSAGE`

### isCustomBusy

    public boolean isCustomBusy()
                         throws CollaborationException

  Determines if the custom status message means that the user is busy.
  Returns:
    `true` if the custom status message means that the user is busy
  See Also:
    `IS_CUSTOM_BUSY`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.